Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API: Statusanzeige im Anzeigebereich

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SOLIDWORKS - DFMXpress
Autor Thema:   API: Statusanzeige im Anzeigebereich (340 mal gelesen)
Krzysztof
Mitglied


Sehen Sie sich das Profil von Krzysztof an!   Senden Sie eine Private Message an Krzysztof  Schreiben Sie einen Gästebucheintrag für Krzysztof

Beiträge: 4
Registriert: 04.03.2008

erstellt am: 01. Apr. 2008 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen!

Ich würde gerne mit Hilfe der API dem Nutzer einige Informationen bzw. Statusnachrichten im Anzeigebereich einer Baugruppe zur Verfügung stellen.

Am liebsten wäre es mir, diese ähnlich zu gestalten wie die Anzeige des Namens der aktuellen Ansicht links unten, nur stattdessen rechts unten und eventuell mehrzeilig.

Gibt es hierfür eine schöne Möglichkeit in SolidWorks, die sich gut über die API verändern lässt?

Gruß und Danke im Voraus
Krzysztof

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tbd
Mitglied
CAD/CAE Administrator


Sehen Sie sich das Profil von tbd an!   Senden Sie eine Private Message an tbd  Schreiben Sie einen Gästebucheintrag für tbd

Beiträge: 825
Registriert: 26.01.2006

Dell Percision T5400
Intel(R) Xeon(R) CPU
X5460 @ 3.16GHz
3,25 GB RAM
Nvidia Quadro FX 4600
-----
Win XP Prof SP 3
SW 2008 SP 5.0
PARTsolutions 8.1.08
Cideon SAP PLM 5.103.5.17
Visual Studio 2008

erstellt am: 01. Apr. 2008 13:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Krzysztof 10 Unities + Antwort hilfreich

Hallo Krzysztof,

dafür eignet sich, so viel ich weis, das StatusBarPane Objekt am besten.
Initialisieren kannst du dieses Objekt über das SolidWorks Frame Objekt.

Also:

Code:

Dim oSwFrame As SldWorks.Frame
Dim oSwStatusBarPane as SldWorks.StatusBarPane
'Zuvor initialisierte SolidWorks Application
'oSwApp as SldWorks.SldWorks
Set oSwFrame = oSwApp.Frame
Set oSwStatusBarPane = oSwFrame.GetStatusBarPane


Im StatusBarPane Objekt gibt es dann die Methoden Text und Visible
Laut API-Hilfe sind bis zu 5 StatusBarPanes möglich, aber das kannst du alles in Ruhe nachlesen.

------------------
Mfg Daniel

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Krzysztof
Mitglied


Sehen Sie sich das Profil von Krzysztof an!   Senden Sie eine Private Message an Krzysztof  Schreiben Sie einen Gästebucheintrag für Krzysztof

Beiträge: 4
Registriert: 04.03.2008

erstellt am: 01. Apr. 2008 15:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Zitat:
Original erstellt von tbd:
dafür eignet sich, so viel ich weis, das StatusBarPane Objekt am besten.


Das klingt schon mal sehr interessant! Vielen Dank für die zügige Antwort.

Weiß jemand zufällig, ob das auch innerhalb der gerenderten Fläche möglich ist?

Gruß
Krzysztof

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz